const shop_data = {

  mobileSideMenuShouldOpen: false,
  currentItemHovered: null,
  currentMode: 'rack',
  currency: 'USD',

  crateModeSlots: {
    rack: 21,
    desktop: 10,
  },

  crateRules: {
    maxSlot: {
      type: 'crate',
      icon: '/shop/icon-warning.svg',
      color: '#c75e5e',
      name: 'Crate',
      message: 'You have reach the maximum number of slots allowed for this crate. Consider removing cards.',
    },
  },

  crateModeItems: [{
    id: 'rack',
    name: 'Rack mountable crate',
    price: 1450,
  }, {
    id: 'desktop',
    name: 'Desktop crate',
    price: 1450,
  }],

  items: {
    /* keys are also ids, avoid changing them */
    'kasli': {
      id: 'kasli',
      name: 'Kasli',
      price: 3600,
      image: '/shop/graphic-02_kasli.svg',
      specs: [
        'FPGA core device, runs ARTIQ kernels, controls the EEMs.',
        '3 SFP 6GB/s slots for Ethernet or DRTIO.',
        '8 EEM connectors on board.',
        '4 MMCX clock outputs.',
        'Price includes bitstream generation, flashing, testing, and firmware updates for 1 year (USD 1,400.00).',
      ],
      size: 'big',
      type: 'kasli',
      hp: 8,
      nbrSlotMin: 0,
      nbrSlotMax: 8,
      nbrCurrentSlot: 0,
      nbrClockMax: 4,
      nbrCurrentClock: 0,
      slotOccupied: 1,
      clockOccupied: 0,
      rules: {
        maxSlot: {
          type: 'kasli-max-slot',
          icon: '/shop/icon-reminder.svg',
          name: 'Kasli',
          message: 'Add a backplane adapter to extend EEM connectors to 12 at an extra charge.',
        },
        maxSlotWarning: {
          type: 'kasli-max-slot-warning',
          icon: '/shop/icon-warning.svg',
          name: 'Kasli',
          message: 'Insufficient EEM connectors.',
        },
        maxClock: {
          type: 'kasli-max-clock',
          icon: '/shop/icon-reminder.svg',
          name: 'Kasli',
          message: 'Insufficient clock connectors. Kasli has at most 4 clock connections.',
        },
        maxClockWarning: {
          type: 'kasli-max-clock-warning',
          icon: '/shop/icon-warning.svg',
          name: 'Kasli',
          message: 'Insufficient clock connectors.',
        },
        follow: {
          type: 'kasli-follow',
          icon: '/shop/icon-reminder.svg',
          name: 'Kasli',
          message: 'Due to wiring constraints, a Kasli can only connect to EEM cards immediately at its right, without crossing another Kasli.',
        },
      },
    },
    'kasli-backplane': {
      id: 'kasli-backplane',
      name: 'Kasli + BP adapter',
      price: 3830,
      image: '/shop/graphic-02_kasli-with-backplane.svg',
      specs: [
        'Same as above, but with adapter that provides 4 additional EEM connectors',
      ],
      size: 'big',
      type: 'kasli-backplane',
      hp: 8,
      nbrSlotMin: 0,
      nbrSlotMax: 12,
      nbrCurrentSlot: 0,
      nbrClockMax: 4,
      nbrCurrentClock: 0,
      slotOccupied: 1,
      clockOccupied: 0,
      rules: {
        maxSlot: {
          type: 'kasli-wb-max-slot',
          icon: '/shop/icon-reminder.svg',
          name: 'Kasli w/backplane',
          message: 'Insufficient EEM connectors.',
        },
        maxSlotWarning: {
          type: 'kasli-wb-max-slot-warning',
          icon: '/shop/icon-warning.svg',
          name: 'Kasli',
          message: 'Insufficient EEM connectors',
        },
        maxClock: {
          type: 'kasli-wb-max-clock',
          icon: '/shop/icon-reminder.svg',
          name: 'Kasli w/backplane',
          message: 'Insufficient clock connectors. Kasli has at most 4 clock connections.',
        },
        maxClockWarning: {
          type: 'kasli-wb-max-clock-warning',
          icon: '/shop/icon-warning.svg',
          name: 'Kasli',
          message: 'Insufficient clock connectors.',
        },
        follow: {
          type: 'kasli-wb-follow',
          icon: '/shop/icon-reminder.svg',
          name: 'Kasli w/backplane',
          message: 'Due to wiring constraints, a Kasli can only connect to EEM cards immediately at its right, without crossing another Kasli.',
        },
      },
    },
    'bnc-dio': {
      id: 'bnc-dio',
      name: 'BNC-DIO',
      price: 450,
      image: '/shop/graphic-02_BNC-DIO.svg',
      specs: [
        'Two banks of four digital channels each, with BNC connectors.',
        'Each bank with individual ground isolation.',
        'Per-bank switchable direction via on-board switches.',
        'Per-channel switchable 50 Ohm termination with LED indicators.',
        'Short circuit tolerance: infinite.',
        'Minimum pulse width: 3ns.',
        'Max 150 MHz toggle rate with 50% duty cycle.'
      ],
      size: 'big',
      type: null,
      hp: 8,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 1,
      clockOccupied: 0,
      rules: {
        resources: {
          type: 'bnc-dio',
          icon: '/shop/icon-warning.svg',
          name: 'BNC-DIO',
          message: 'This card needs a card that provides a EEM connector (e.g. Kasli) at its left.',
        },
      },
    },
    'sma-dio': {
      id: 'sma-dio',
      name: 'SMA-DIO',
      price: 400,
      image: '/shop/graphic-02_SMA-DIO.svg',
      specs: [
        'Same as above, but with SMA connectors.'
      ],
      size: 'small',
      type: null,
      hp: 4,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 1,
      clockOccupied: 0,
      rules: {
        resources: {
          type: 'sma-dio',
          icon: '/shop/icon-warning.svg',
          name: 'SMA-DIO',
          message: 'This card needs a card that provides a EEM connector (e.g. Kasli) at its left.',
        },
      },
    },
    'rj45-dio': {
      id: 'rj45-dio',
      name: 'RJ45-DIO',
      price: 390,
      image: '/shop/graphic-02_RJ45-DIO.svg',
      specs: [
        'Supplies 16 LVDS pairs via 4 front-panel RJ45 connectors.',
        'Each RJ45 supplies 4 LVDS DIOs.',
        'Direction individually selectable for each signal via on-board switches.',
        'No galvanic isolation.',
        'Higher speed and lower jitter than the isolated SMA and BNC DIO cards.'
      ],
      size: 'small',
      type: null,
      hp: 4,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 2,
      clockOccupied: 0,
      rules: {
        resources: {
          type: 'rj45-dio',
          icon: '/shop/icon-warning.svg',
          name: 'RJ45-DIO',
          message: 'This card needs a card that provides two EEM connectors (e.g. Kasli) at its left.',
        },
      },
    },
    'urukul': {
      id: 'urukul',
      name: 'Urukul',
      price: 2350,
      image: '/shop/graphic-02_Urukul.svg',
      specs: [
        '4 channel 1GS/s DDS.',
        'Output frequency (-3 dB): <1 to >400 MHz.',
        'Nominal max output power 10 dBm.',
        'Digital step attenuator 0 to -31.5dB.',
        'RF switch (1ns temporal resolution), 70dB isolation.',
        'AD9910 or AD9912 chip.',
        'By default, we use the AD9910 as it provides more features. If you need the higher frequency resolution of the AD9912, leave us a note.',
        'External 5W power amplifier is available separately, leave us a note if interested.'
      ],
      size: 'small',
      type: 'urukul',
      hp: 4,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 2,
      clockOccupied: 1,
      rules: {
        connectors: {
          type: 'urukul',
          icon: '/shop/icon-reminder.svg',
          name: 'Urukul',
          message: 'This configuration uses 2 EEM connectors as it is recommended. If you prefer to use 1 EEM connector, please inform us by leaving an additional note.',
        },
        resources: {
          type: 'urukul',
          icon: '/shop/icon-warning.svg',
          name: 'Urukul',
          message: 'This card needs a card that provides EEM and clocking connectors (e.g. Kasli) at its left.',
        },
      },
    },
    'zotino': {
      id: 'zotino',
      name: 'Zotino',
      price: 1600,
      image: '/shop/graphic-02_zotino.svg',
      specs: [
        '32-channel DAC.',
        '16-bit resolution.',
        '1 MSPS shared between all channels.',
        'Output voltage +-10V.',
        'HD68 connector with all channels.',
        'Channels can also be broken out to BNC or SMA using IDC-BNC, IDC-SMA or IDC-MCX cards.'
      ],
      size: 'small',
      type: 'zotino',
      hp: 4,
      nbrSlotMin: 0,
      nbrSlotMax: 4,
      nbrCurrentSlot: 0,
      nbrClockMax: 0,
      slotOccupied: 1,
      clockOccupied: 0,
      rules: {
        maxSlot: {
          type: 'zotino',
          icon: '/shop/icon-reminder.svg',
          name: 'Zotino',
          message: 'Zotino has at most 4 IDC-BNC adapters.',
        },
        maxSlotWarning: {
          type: 'zotino-max-slot-warning',
          icon: '/shop/icon-warning.svg',
          name: 'Zotino',
          message: 'Insufficient connectors.',
        },
        resources: {
          type: 'zotino',
          icon: '/shop/icon-warning.svg',
          name: 'Zotino',
          message: 'This card needs a card that provides a EEM connector (e.g. Kasli) at its left.',
        },
      },
    },
    'idc-bnc-adapter': {
      id: 'idc-bnc-adapter',
      name: 'IDC-BNC',
      price: 160,
      image: '/shop/graphic-02_IDC-BNC-adapter.svg',
      specs: [
        'Breaks out analog signals from Zotino or HD68-IDC to BNC connectors.',
        'Each card provides 8 channels.',
        'Breaking out all 32 channels from a Zotino requires 4 IDC-BNC cards.'
      ],
      size: 'big',
      type: 'idc-bnc',
      hp: 8,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 1,
      clockOccupied: 0,
      rules: {
        wrong: {
          type: 'idc-bnc',
          icon: '/shop/icon-warning.svg',
          name: 'IDC-BNC',
          message: 'Should be after a Zotino or a HD68-IDC or with another IDC-BNC.',
        }
      },
    },
    'hd68-idc-adapter': {
      id:'hd68-idc-adapter',
      name: 'HD68-IDC',
      price: 150,
      image: '/shop/graphic-02_HD68.svg',
      specs: [
        'Connects an external HD68 cable to IDC-BNC, IDC-SMA or IDC-MCX cards.',
      ],
      size: 'small',
      type: 'hd68',
      hp: 4,
      nbrSlotMin: 1,
      nbrSlotMax: 4,
      nbrCurrentSlot: 0,
      nbrClockMax: 0,
      slotOccupied: 1,
      clockOccupied: 0,
      rules: {
        minAdapter: {
          type: 'hd68-min-adapter',
          icon: '/shop/icon-warning.svg',
          name: 'HD68-IDC',
          message: 'Need at least one IDC-BNC Adapter at its right.',
        },
        maxSlot: {
          type: 'hd68-max-slot',
          icon: '/shop/icon-reminder.svg',
          name: 'HD68-IDC',
          message: 'HD68-IDC has at most 4 IDC-BNC adapters.',
        },
        maxSlotWarning: {
          type: 'hd68-max-slot-warning',
          icon: '/shop/icon-warning.svg',
          name: 'HD68-IDC',
          message: 'Insufficient connectors.',
        },
      },
    },
    'novo': {
      id: 'novo',
      name: 'Novo',
      price: 1600,
      image: '/shop/graphic-02_Novo.svg',
      specs: [
        '8-channel ADC.',
        '16-bit resolution.',
        '1.5 MSPS simultaneously on all channels.',
        'When used with ARTIQ-Python driver, effective sample rate is lower.',
        'Digitally programmable input gain.',
        'Full-scale input ranges between +-10mV and +-10V.',
        'Supports SU-Servo laser intensity stabilization servo in conjunction with Urukul.'
      ],
      size: 'big',
      type: 'novo',
      hp: 8,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 2,
      clockOccupied: 0,
      rules: {
        connectors: {
          type: 'novo',
          icon: '/shop/icon-reminder.svg',
          name: 'Novo',
          message: 'This configuration uses 2 EEM connectors as it is recommended. If you prefer to use 1 EEM connector, please inform us by leaving an additional note.',
        },
        resources: {
          type: 'novo',
          icon: '/shop/icon-warning.svg',
          name: 'Novo',
          message: 'This card needs a card that provides EEM connectors (e.g. Kasli) at its left.',
        },
      }
    },
    'koster': {
      id: 'koster',
      name: 'Koster',
      price: 550,
      image: '/shop/graphic-02_Koster.svg',
      specs: [
        'Camera input interface card.',
        'Supports some EMCCD cameras.',
        'Allows image processing to occur in the FPGA with lower latency.',
        'Existing stack supports summing over rectangular ROIs and reporting the result to ARTIQ kernels.',
        'Camera signal is entirely processed in the Kasli FPGA.',
      ],
      size: 'small',
      type: 'koster',
      hp: 4,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 2,
      clockOccupied: 0,
      rules: {
        connectors: {
          type: 'koster',
          icon: '/shop/icon-reminder.svg',
          name: 'Koster',
          message: 'This configuration uses 2 EEM connectors. If you prefer to use 1 or 3 EEM connectors, please inform us by leaving an additional note.',
        },
        resources: {
          type: 'koster',
          icon: '/shop/icon-warning.svg',
          name: 'Koster',
          message: 'This card needs a card that provides EEM connectors (e.g. Kasli) at its left.',
        },
      }
    },
    'clocker': {
      id: 'clocker',
      name: 'Clocker',
      price: 525,
      image: '/shop/graphic-02_Clocker.svg',
      specs: [
        'Distribute a low jitter clock signal among cards.',
        '2 inputs.',
        '10 outputs including 4 SMAs.',
        'Frequency up to 1GHz.',
        'Low jitter <100fs RMS.'
      ],
      size: 'small',
      type: 'clocker',
      hp: 4,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 6,
      slotOccupied: 1,
      clockOccupied: 1,
      rules: {
        maxClock: {
          type: 'clocker-max-clock',
          icon: '/shop/icon-reminder.svg',
          name: 'Clocker',
          message: 'Clocker has at most 6 clock connections.',
        },
        maxClockWarning: {
          type: 'clocker-max-clock-warning',
          icon: '/shop/icon-warning.svg',
          name: 'Clocker',
          message: 'Insufficient clock connectors.',
        },
      },
    },
    'stabilizer': {
      id: 'stabilizer',
      name: 'Stabilizer',
      price: 2000,
      image: '/shop/graphic-02_Stabilizer.svg',
      specs: [
        'CPU-based dual-channel fast servo.',
        '400MHz STM32H743ZIT6.',
        'Dual 16bit ADC with x2, x5, x10 PGA (2MS/s).',
        '16bit AD5542A DAC (1us settling time).',
        '100Base-T Ethernet.',
        'Can be controlled by Kasli or work stand-alone with PoE supply.'
      ],
      size: 'small',
      type: null,
      hp: 4,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 1,
      clockOccupied: 0,
    },
    'mirny': {
      id: 'mirny',
      name: 'Mirny',
      price: 2660,
      image: '/shop/graphic-02_Mirny.svg',
      specs: [
        '4-channel Wide-band PLL/VCO-based microwave frequency synthesiser.',
        '53 MHz to >4 GHz.',
        'Up to 13.6 GHz when using the mezzanine.',,
        'Much higher frequency resolution than Urukul.',
        'Lower jitter and phase noise.',
        'Large frequency changes take several milliseconds.',
      ],
      size: 'small',
      type: null,
      hp: 4,
      nbrSlotMin: 0,
      nbrSlotMax: 0,
      nbrClockMax: 0,
      slotOccupied: 1,
      clockOccupied: 1,
      rules: {
        resources: {
          type: 'mirny',
          icon: '/shop/icon-warning.svg',
          name: 'Mirny',
          message: 'This card needs a card that provides a EEM connector (e.g. Kasli) at its left.',
        },
      },
    },
  },

  columns: {
    /***
     * backlog is the column containing all items on left aside,
     * name should not change
     */
    'backlog': {
      id: 'backlog',
      title: 'Backlog',
      /* itemIds define items order - change order to suit your need */
      itemIds: [
        'kasli',
        'kasli-backplane',
        'bnc-dio',
        'sma-dio',
        'rj45-dio',
        'urukul',
        'mirny',
        'zotino',
        'idc-bnc-adapter',
        'hd68-idc-adapter',
        'novo',
        'koster',
        'clocker',
        'stabilizer',
      ],
    },

    'cart': {
      id: 'cart',
      title: 'Cart',
      items: [],
      itemsData: {},
    },

  },

  rules: {},

};


window.shop_data = shop_data;
